NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Mechatronics.RigidBodyBuilder Class Reference

Represents a NXOpen.Mechatronics.RigidBodyBuilder . More...

Inheritance diagram for NXOpen.Mechatronics.RigidBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ColorOptions { SpecifyColor, NoColor }
 the color options. More...
 
enum  MassPropertiesOption { Automatic, UserDefined }
 the mass property option. More...
 

Public Member Functions

unsafe void SetGeometry (NXOpen.NXObject[] geometries)
 Sets the geometry More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction AngularVelocityDirection [get, set]
 Returns or sets the angular velocity direction. More...
 
unsafe NXOpen.Expression AngularVelocityMagnitude [get]
 Returns the angular velocity magnitude. More...
 
unsafe NXOpen.NXColor Color [get, set]
 Returns or sets the color. More...
 
unsafe
NXOpen.Mechatronics.RigidBodyBuilder.ColorOptions 
ColorOption [get, set]
 Returns or sets the color option. More...
 
unsafe NXOpen.SelectNXObjectList Geometry [get]
 Returns the geometries. More...
 
unsafe NXOpen.Expression InertiaIxx [get]
 Returns the inertia Ixx. More...
 
unsafe NXOpen.Expression InertiaIxy [get]
 Returns the inertia Ixy. More...
 
unsafe NXOpen.Expression InertiaIxz [get]
 Returns the inertia Ixz. More...
 
unsafe NXOpen.Expression InertiaIyy [get]
 Returns the inertia Iyy. More...
 
unsafe NXOpen.Expression InertiaIyz [get]
 Returns the inertia Iyz. More...
 
unsafe NXOpen.Expression InertiaIzz [get]
 Returns the inertia Izz. More...
 
unsafe NXOpen.Direction LinearVelocityDirection [get, set]
 Returns or sets the linear velocity. More...
 
unsafe NXOpen.Expression LinearVelocityMagnitude [get]
 Returns the linear velocity magnitude. More...
 
unsafe NXOpen.Expression Mass [get]
 Returns the mass. More...
 
unsafe NXOpen.Point MassCenterPoint [get, set]
 Returns or sets the mass center point. More...
 
unsafe
NXOpen.Mechatronics.RigidBodyBuilder.MassPropertiesOption 
MassProperty [get, set]
 Returns or sets the auto-calculate mass property flag which is used to indicate whether all mass properties are calculated by system. More...
 
unsafe string Name [get, set]
 Returns or sets the name. More...
 
unsafe NXOpen.CoordinateSystem Orientation [get, set]
 Returns or sets the orientation. More...
 
unsafe
NXOpen.Mechatronics.SelectTagFormObject 
TagForm [get]
 Returns the tagform. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Mechatronics.RigidBodyBuilder .

To create a new instance of this class, use NXOpen.Mechatronics.RigidBodyCollection.CreateRigidBodyBuilder

Created in NX7.5.1

Member Enumeration Documentation

the color options.

Enumerator
SpecifyColor 

Assigns a color to the rigid body

NoColor 

Assigns no color to the rigid body

the mass property option.

Enumerator
Automatic 

automatic

UserDefined 

user defined

Member Function Documentation

unsafe void NXOpen.Mechatronics.RigidBodyBuilder.SetGeometry ( NXOpen.NXObject[]  geometries)
inline

Sets the geometry

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Parameters
geometriesInput geometries

Property Documentation

unsafe NXOpen.Direction NXOpen.Mechatronics.RigidBodyBuilder.AngularVelocityDirection
getset

Returns or sets the angular velocity direction.

It is only used when angular velocity is not zero.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.AngularVelocityMagnitude
get

Returns the angular velocity magnitude.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.NXColor NXOpen.Mechatronics.RigidBodyBuilder.Color
getset

Returns or sets the color.

Created in NX1872.0.0

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Mechatronics.RigidBodyBuilder.ColorOptions NXOpen.Mechatronics.RigidBodyBuilder.ColorOption
getset

Returns or sets the color option.

Created in NX1872.0.0

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.SelectNXObjectList NXOpen.Mechatronics.RigidBodyBuilder.Geometry
get

Returns the geometries.

This can be a NXOpen.Assemblies.ComponentAssembly , NXOpen.Point , bodies and curve.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIxx
get

Returns the inertia Ixx.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIxy
get

Returns the inertia Ixy.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIxz
get

Returns the inertia Ixz.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIyy
get

Returns the inertia Iyy.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIyz
get

Returns the inertia Iyz.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.InertiaIzz
get

Returns the inertia Izz.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Direction NXOpen.Mechatronics.RigidBodyBuilder.LinearVelocityDirection
getset

Returns or sets the linear velocity.

It is only used when linear velocity is not zero.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.LinearVelocityMagnitude
get

Returns the linear velocity magnitude.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.RigidBodyBuilder.Mass
get

Returns the mass.

Created in NX7.5.1

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Point NXOpen.Mechatronics.RigidBodyBuilder.MassCenterPoint
getset

Returns or sets the mass center point.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Mechatronics.RigidBodyBuilder.MassPropertiesOption NXOpen.Mechatronics.RigidBodyBuilder.MassProperty
getset

Returns or sets the auto-calculate mass property flag which is used to indicate whether all mass properties are calculated by system.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe string NXOpen.Mechatronics.RigidBodyBuilder.Name
getset

Returns or sets the name.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.CoordinateSystem NXOpen.Mechatronics.RigidBodyBuilder.Orientation
getset

Returns or sets the orientation.

Created in NX7.5.1

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Mechatronics.SelectTagFormObject NXOpen.Mechatronics.RigidBodyBuilder.TagForm
get

Returns the tagform.

This is a NXOpen.Mechatronics.TagFormObject object.

Created in NX10.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.